Subject: bug#42099: Emacs -nw Turkish Layout Problem

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Jun 2020 17:07:43 +0300

> From: Yigit Emre Sahinoglu <[email-masked]>
> Date: Sun, 28 Jun 2020 22:46:39 +0300
> Cc: [email-masked]
> 
> w32-get-console-codepage = 437 (#0665, #x1b5). Problem still exists as
> I described (ö, ç, ü works but ş, İ (types 0), ğ are broken.)

OK.  So I think the problem might be in the setup of the Windows
system.  If you type "chcp RET" in the Command Prompt window, does it
also show codepage 437?  And if you type the problematic characters
into the Command Prompt window (outside of Emacs) at the cmd.exe
prompt, do you also see those characters displayed incorrectly?